package applet;

import java.beans.PropertyChangeEvent;

import javax.swing.BoxLayout;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.border.TitledBorder;

import libsidplay.Player;
import libsidplay.sidtune.SidTune;

@SuppressWarnings("serial")
public class AboutView extends TuneTab {

	private final JSIDPlay2 fSidplay;

	public AboutView(JSIDPlay2 sidplay) {
		fSidplay = sidplay;
		sidplay.support.addPropertyChangeListener(this);
	}

	@Override
	public void createContents() {
		setBorder(new TitledBorder("Credits"));
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		JTextArea title = new JTextArea();
		title.setEditable(false);
		title.setOpaque(false);
		title.setText(fSidplay.cp.m_engine.getCredits());
		add(new JScrollPane(title));
	}
	
	public void propertyChange(PropertyChangeEvent propertychangeevent) {
	}

	@Override
	public void setTune(Player m_engine, SidTune m_tune) {
	}
}
