package applet;

import java.awt.Container;
import java.awt.event.KeyEvent;

import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

/**
 * Just a preview/proposal for now.
 * 
 * @author Ken Hndel
 *
 */
public class JSIDPlayMenu extends JMenuBar {
	public JSIDPlayMenu() {
		JMenu c64Menu = createMenu(this, "C64", "C64 Menu", KeyEvent.VK_L);
		createTextMenu(c64Menu, "Load...", KeyEvent.VK_1, "Load a One-Filer");
		createTextMenu(c64Menu, "Reset", KeyEvent.VK_1, "Reset C64");
		createTextMenu(c64Menu, "Quit", KeyEvent.VK_1, "Quit Player");

		JMenu playerMenu = createMenu(this, "Player", "Player Controls", KeyEvent.VK_L);
		createTextMenu(playerMenu, "Pause", KeyEvent.VK_1, "Pause Player");
		createTextMenu(playerMenu, "Stop", KeyEvent.VK_1, "Stop Player");
		createTextMenu(playerMenu, "Previous", KeyEvent.VK_1, "Previous Song");
		createTextMenu(playerMenu, "Next", KeyEvent.VK_1, "Next Song");
		createTextMenu(playerMenu, "Fast Forward", KeyEvent.VK_1, "Fast Forward");
		createTextMenu(playerMenu, "Normal Speed", KeyEvent.VK_1, "Normal Speed");

		JMenu devicesMenu = createMenu(this, "Devices", "External Devices", KeyEvent.VK_L);
		JMenu diskMenu = createMenu(devicesMenu, "Disk", "Floppy Disk Drive", KeyEvent.VK_L);
		createTextMenu(diskMenu, "Insert Disk...", KeyEvent.VK_1, "Insert Floppy Disk");
		createTextMenu(diskMenu, "Eject Disk", KeyEvent.VK_1, "Eject Floppy Disk");
		JMenu tapeMenu = createMenu(devicesMenu, "Datasette", "Datasette", KeyEvent.VK_L);
		createTextMenu(tapeMenu, "Insert Tape...", KeyEvent.VK_1, "Insert Tape");
		createTextMenu(tapeMenu, "Eject Tape", KeyEvent.VK_1, "Eject Tape");
		JMenu controlsMenu = createMenu(tapeMenu, "Controls", "Datasette Controls", KeyEvent.VK_L);
		createTextMenu(controlsMenu, "Record", KeyEvent.VK_1, "Record Tape");
		createTextMenu(controlsMenu, "Play", KeyEvent.VK_1, "Press Tape on Tape");
		createTextMenu(controlsMenu, "Rewind", KeyEvent.VK_1, "Press Rewind on Tape");
		createTextMenu(controlsMenu, "Forward", KeyEvent.VK_1, "Press Forward on Tape");
		createTextMenu(controlsMenu, "Stop", KeyEvent.VK_1, "Press Stop");
		createTextMenu(controlsMenu, "Reset Counter", KeyEvent.VK_1, "Reset Datasette Counter");
		JMenu cartMenu = createMenu(devicesMenu, "Cartridge", "Cartridge", KeyEvent.VK_L);
		createTextMenu(cartMenu, "Insert Cartridge...", KeyEvent.VK_1, "Insert Cartridge");
		createTextMenu(cartMenu, "Eject Cartridge", KeyEvent.VK_1, "Eject Cartridge");
		createTextMenu(cartMenu, "Freeze", KeyEvent.VK_1, "Freeze Cartridge");
		doLayout();
	}

	private JMenuItem createTextMenu(JMenu menu, String name, int key,
			String toolTip) {
		JMenuItem menuItem = new JMenuItem(name);
//		menuItem.setAccelerator(KeyStroke.getKeyStroke(key,
//				ActionEvent.ALT_MASK));
//		menuItem.setToolTipText(toolTip);
		menu.add(menuItem);
		return menuItem;
	}

	private JMenu createMenu(Container parent, String name, String toolTip, int key) {
		JMenu menu = new JMenu(name);
//		menu.setMnemonic(key);
//		menu.setToolTipText(toolTip);
		parent.add(menu);
		return menu;
	}
}
