/**
 * 
 */
package applet.favorites;

import java.io.File;

final class Favorite implements IFavorite {
	private static final long serialVersionUID = 1L;

	private final File file;

	Favorite(final File file) {
		this.file = file;
	}

	public String getFilename() {
		return file.getAbsolutePath();
	}

	@Override
	public String toString() {
		return getFilename();
	}
}