package applet.favorites;

import java.io.File;

public interface IFavorites {
	String getFileName();
	void loadFavorites(String filename);
	void saveFavorites(String filename);
	void addToFavorites(File[] files);
	void selectFavorites();
	void deselectFavorites();
	void removeSelectedRows();
	String getNextFilename(String filename);
	String getNextRandomFilename(String filename);
	void addSelectionListener(IFavoritesSelectionListener listener);
	String[] getSelection();
	boolean isEmpty();
}
