package applet.video;

import java.io.File;

import javax.swing.filechooser.FileFilter;

public class D64FileFilter extends FileFilter {

	@Override
	public boolean accept(File file) {
		if (file.isDirectory()) {
			return true;
		}
		return file.getName().toLowerCase().endsWith(".d64")
		|| file.getName().toLowerCase().endsWith(".g64");
	}

	@Override
	public String getDescription() {
		return "Disk Image (D64 or G64)";
	}

}
