package applet.events.favorites;

/**
 * Change the favorites properties
 * @author Ken Hndel
 *
 */
public interface IChangeFavoritesTab {

	/**
	 * @return the index of the favorites to change
	 */
	int getIndex();

	/**
	 * @return the new title of the favorites
	 */
	String getTitle();

	/**
	 * @return the filename of the favorites
	 */
	String getFileName();

	boolean isSelected();
}
