package applet.favorites;

import java.io.File;

import javax.swing.filechooser.FileFilter;

public class FavoritesFileFilter extends FileFilter {

	private String extFavorites;

	public FavoritesFileFilter(String ext) {
		this.extFavorites = ext;
	}

	@Override
	public boolean accept(File f) {
		return f.isDirectory() || f.getName().endsWith(extFavorites);
	}

	@Override
	public String getDescription() {
		return "Favorite Tunes";
	}

}
