package applet.favorites;

import java.awt.event.KeyEvent;

import javax.swing.JComponent;
import javax.swing.JTable;
import javax.swing.KeyStroke;
import javax.swing.ListSelectionModel;

import applet.JSIDPlay2;

@SuppressWarnings("serial")
public class FavoritesTable extends JTable {
	public FavoritesTable(FavoritesModel model, JSIDPlay2 sidplay2) {
		// disable enter key behavior
		getInputMap(JComponent.WHEN_ANCESTOR_OF_FOCUSED_COMPONENT).put(
				KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, 0), "none");
		setModel(model);
		setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);

		FavoritesCellRenderer favoritesCellRenderer = new FavoritesCellRenderer(sidplay2, model);
		setDefaultRenderer(Object.class, favoritesCellRenderer);
		setDefaultRenderer(String.class, favoritesCellRenderer);
		setDefaultRenderer(Integer.class, favoritesCellRenderer);
	}
}
