package applet.fileviewer;

import java.beans.PropertyChangeEvent;
import java.io.File;

import applet.JSIDPlay2;

@SuppressWarnings("serial")
public class CGSCView extends FileViewer {
	public CGSCView(final JSIDPlay2 sidplay) {
		super(sidplay, "Compute's Gazette Sid Collection",
				"http://www.btinternet.com/~pweighill/music/", "<Please select CGSC>");
	}

	@Override
	protected void setRootDir(String cgsc) {
		File cgscFile = new File(cgsc);
		if (cgscFile.exists()) {
			fSidplay2.setCGSC(cgsc);
		}
	}

	public void propertyChange(PropertyChangeEvent event) {
		if (JSIDPlay2.PROP_CGSC.equals(event.getPropertyName())) {
			setRoot((String) event.getNewValue());
		}
	}
}
